- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - g -

- gate() : cModule
- gateName() : cModuleInterface
- gates() : cModule
- gateSize() : cModule
- gateType() : cModuleInterface
- get() : cMessageHeap, cArray, cBag
- getArraySize() : cStructDescriptor
- getAsBool() : cConfiguration
- getAsBool2() : cConfiguration
- getAsCustom() : cConfiguration
- getAsCustom2() : cConfiguration
- getAsDouble() : cConfiguration
- getAsDouble2() : cConfiguration
- getAsFilename() : cConfiguration
- getAsFilename2() : cConfiguration
- getAsFilenames() : cConfiguration
- getAsFilenames2() : cConfiguration
- getAsInt() : cConfiguration
- getAsInt2() : cConfiguration
- getAsString() : sFieldWrapper, cConfiguration
- getAsString2() : cConfiguration
- getAsText() : cPar
- getAsTime() : cConfiguration
- getAsTime2() : cConfiguration
- getAttribute() : cXMLElement
- getAttributes() : cXMLElement
- getBaseDirectoryFor() : cConfiguration
- getChildren() : cXMLElement
- getChildrenByTagName() : cXMLElement
- getElementById() : cXMLElement
- getElementByPath() : cXMLElement
- getElementsByTagName() : cXMLElement
- getEntriesWithPrefix() : cConfiguration
- getFieldAsString() : cStructDescriptor
- getFieldCount() : cStructDescriptor
- getFieldEnumName() : cStructDescriptor
- getFieldName() : cStructDescriptor
- getFieldStructName() : cStructDescriptor
- getFieldStructPointer() : cStructDescriptor
- getFieldType() : cStructDescriptor
- getFieldTypeString() : cStructDescriptor
- getFieldWrapper() : cStructDescriptor
- getFirst() : cMessageHeap
- getFirstChild() : cXMLElement
- getFirstChildWithAttribute() : cXMLElement
- getFirstChildWithTag() : cXMLElement
- getLastChild() : cXMLElement
- getLocation() : cConfiguration
- getNextEvent() : cRealTimeScheduler, cSequentialScheduler, cScheduler
- getNextSibling() : cXMLElement
- getNextSiblingWithTag() : cXMLElement
- getNodeValue() : cXMLElement
- getNumArgs() : cDisplayString
- getNumPartitions() : cParsimCommunications
- getNumSections() : cConfiguration
- getNumTags() : cDisplayString
- getObject() : cMessage
- getParameter() : cEnvir
- getParameterUseDefault() : cEnvir
- getParentNode() : cXMLElement
- getParsimNumPartitions() : cEnvir
- getParsimProcId() : cEnvir
- getPreviousSibling() : cXMLElement
- getProcId() : cParsimCommunications
- getRNGMappingFor() : cEnvir
- gets() : cEnvir
- getSectionName() : cConfiguration
- getSourceLocation() : cXMLElement
- getStreamForSnapshot() : cSnapshotManager, cEnvir
- getString() : cDisplayString
- getStruct() : cStructDescriptor
- getTagArg() : cDisplayString
- getTagName() : cXMLElement, cDisplayString
- getUniqueNumber() : cSimulation, cEnvir
- getXMLDocument() : cEnvir
- grid() : cKSplit
- guessNextEvent() : cSimulation
- guessNextModule() : cSimulation
- guessNextSimtime() : cSimulation